summaryrefslogtreecommitdiff
path: root/contrib/get-script-header.sh
diff options
context:
space:
mode:
authorMathias Preiner <mathias.preiner@gmail.com>2018-02-06 19:46:04 -0800
committerGitHub <noreply@github.com>2018-02-06 19:46:04 -0800
commita9c5063145f3870393dc2dd75d0722ead1c5efd7 (patch)
tree2a345327e0dcc6acd7aec4355a04ee504141816e /contrib/get-script-header.sh
parent341728ed95dcff20fd75bb7aef4e0b7773f63e07 (diff)
Use separate shell script for common get-* script parts. (#1567)
Diffstat (limited to 'contrib/get-script-header.sh')
-rw-r--r--contrib/get-script-header.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/contrib/get-script-header.sh b/contrib/get-script-header.sh
new file mode 100644
index 000000000..285d97b35
--- /dev/null
+++ b/contrib/get-script-header.sh
@@ -0,0 +1,26 @@
+#!/bin/bash
+#
+set -e
+
+cd "$(dirname "$0")/.."
+
+if ! [ -e src/parser/cvc/Cvc.g ]; then
+ echo "$(basename $0): I expect to be in the contrib/ of a CVC4 source tree," >&2
+ echo "but apparently:" >&2
+ echo >&2
+ echo " $(pwd)" >&2
+ echo >&2
+ echo "is not a CVC4 source tree ?!" >&2
+ exit 1
+fi
+
+function webget {
+ if which wget &>/dev/null; then
+ wget -c -O "$2" "$1"
+ elif which curl &>/dev/null; then
+ curl "$1" >"$2"
+ else
+ echo "Can't figure out how to download from web. Please install wget or curl." >&2
+ exit 1
+ fi
+}
generated by cgit on debian on lair
contact matthew@masot.net with questions or feedback